$().ready(function() {
    $('.card').append('<img src="/static/images/icon_border_lt.png" class="icon-border icon-border-lt"><img src="/static/images/icon_border_lb.png" class="icon-border icon-border-lb"><img src="/static/images/icon_border_rt.png" class="icon-border icon-border-rt"><img src="/static/images/icon_border_rb.png" class="icon-border icon-border-rb">');
    // 桩基检测本月本年切换
    $('#zjjc div').click(function() {
            $('#zjjc div').removeClass('active-tab');
            $(this).addClass('active-tab');
            var datasource = [{
                "square_date": "2020-07-23",
                "square_type": 13,
                "square_describe": "今日取样（组）",
                "square_datetime": "2020-07-23",
                "num1": "5",
                "num2": "12",
                "num3": "31",
                "num4": "26",
                "num5": "19",
                "num6": "20"
            }]
            if ($(this).text() == '本月') {
                console.log('点击本月')
                $("span[square_type='13'][num='num1']").text(datasource[0].num1);
                $("span[square_type='13'][num='num2']").text(datasource[0].num2);
                $("span[square_type='14'][num='num1']").text(datasource[0].num1);
                $("span[square_type='14'][num='num2']").text(datasource[0].num2);
            } else {
                console.log('点击本年')
                    // 本年
                $("span[square_type='13'][num='num1']").html(datasource[0].num4);
                $("span[square_type='13'][num='num2']").html(datasource[0].num5);
                $("span[square_type='14'][num='num1']").html(datasource[0].num4);
                $("span[square_type='14'][num='num2']").html(datasource[0].num5);
            }
        })
        // 现场结构实体检验切换
    $('#stjy1').click(function() {
        if ($('#stjy1 .status').text() == '本月') {
            $('#stjy1 .status').text('本年');
        } else {
            $('#stjy1 .status').text('本月');
        }
    })
    $('#stjy2').click(function() {
        if ($('#stjy2 .status').text() == '本月') {
            $('#stjy2 .status').text('本年');
        } else {
            $('#stjy2 .status').text('本月');
        }
    })
    $('#xwjgqk').click(function() {
            if ($('#xwjgqk .status').text() == '本月') {
                $('#xwjgqk .status').text('本年');
            } else {
                $('#xwjgqk .status').text('本月');
            }
        })
        // 两材两块
    $('#lclk div').click(function() {
            $('#lclk div').removeClass('active-tab');
            $(this).addClass('active-tab');
            var datasource = [{
                "square_date": "2020-07-23",
                "square_type": 13,
                "square_describe": "今日取样（组）",
                "square_datetime": "2020-07-23",
                "num1": "5",
                "num2": "12",
                "num3": "31",
                "num4": "26",
                "num5": "19",
                "num6": "20"
            }]
            if ($(this).text() == '本月') {
                console.log('点击本月')
                $("span[square_type='23'][num='num1']").text(datasource[0].num1);
                $("span[square_type='23'][num='num2']").text(datasource[0].num2);
                $("span[square_type='24'][num='num1']").text(datasource[0].num1);
                $("span[square_type='24'][num='num2']").text(datasource[0].num2);
                $("span[square_type='25'][num='num1']").text(datasource[0].num1);
                $("span[square_type='25'][num='num2']").text(datasource[0].num2);
            } else {
                console.log('点击本年')
                    // 本年
                $("span[square_type='23'][num='num1']").html(datasource[0].num4);
                $("span[square_type='23'][num='num2']").html(datasource[0].num5);
                $("span[square_type='24'][num='num1']").html(datasource[0].num4);
                $("span[square_type='24'][num='num2']").html(datasource[0].num5);
                $("span[square_type='25'][num='num1']").html(datasource[0].num4);
                $("span[square_type='25'][num='num2']").html(datasource[0].num5);
            }
        })
        // 监督检测情况
    $('#jdjc').click(function() {
        if ($('#jdjc .status').text() == '本月') {
            $('#jdjc .status').text('本年');
        } else {
            $('#jdjc .status').text('本月');
        }
    })
})

function mapHandle(type) {
    getMap(type);
}

function closePopup() {
    $('.popup').addClass('hidden');
}

function showPop(id) {
    $('.popup').removeClass('hidden');
    $('.other-box').removeClass('hidden');
    $('.map-box').addClass('hidden');
    $('.popup-title').text('今日检测样品');

}

function videoConect() {
    console.log('click');
}
// 放大地图
function biggerMap() {
    if ($('.sizingmap').hasClass('icon-fangda-icon-2-2')) {
        $('.map-outer').addClass('bigMap');
    } else {
        $('.map-outer').removeClass('bigMap');
    }
    $('.sizingmap').toggleClass('icon-suoxiao-3-2').toggleClass('icon-fangda-icon-2-2');
}
// 地图legend点击效果
function handle(index, name) {
    $('.popup').removeClass('hidden');
    $('.other-box').addClass('hidden');
    $('.map-box').removeClass('hidden');
    $('.popup-title').text(name);
}